## sassc 3.3.2

=== Makefile ===
CC       ?= gcc
CXX      ?= g++
RM       ?= rm -f
CP       ?= cp -a
CHDIR    ?= chdir
MKDIR    ?= mkdir
WINDRES  ?= windres
INSTALL  ?= install
CFLAGS   ?= -Wall
CXXFLAGS ?= -Wall
LDFLAGS  ?= -Wall
ifneq "$(COVERAGE)" "yes"
  CFLAGS   += -O2
  CXXFLAGS += -O2
  LDFLAGS  += -O2
endif
LDFLAGS  += -Wl,-undefined,error
CAT      ?= $(if $(filter $(OS),Windows_NT),type,cat)

# If you run this under windows cmd.com interpreter:
# You must provide UnxUtils rm.exe and cp.exe in path
# Otherwise certain targets may not work as intended!
# Note: It seems impossible to replace `mkdir` command

ifneq (,$(findstring /cygdrive/,$(PATH)))
	UNAME := Cygwin
	TARGET := Windows
else
	ifneq (,$(findstring Windows,$(PATH)))
		UNAME := Windows
		TARGET := Windows
	else
		ifneq (,$(findstring mingw32,$(MAKE)))
			UNAME := MinGW
			TARGET := Windows
		else
			ifneq (,$(findstring MINGW32,$(shell uname -s)))
				UNAME = MinGW
				TARGET := Windows
			else
				UNAME := $(shell uname -s)
				TARGET := $(shell uname -s)
			endif
		endif
	endif
endif

ifeq ($(SASS_SASSC_PATH),)
	SASS_SASSC_PATH = $(abspath $(CURDIR))
endif
ifeq ($(SASS_LIBSASS_PATH),)
	SASS_LIBSASS_PATH = $(abspath $(CURDIR)/..)
endif

ifeq ($(SASSC_VERSION),)
	ifneq ($(wildcard ./.git/ ),)
		SASSC_VERSION ?= $(shell git describe --abbrev=4 --dirty --always --tags)
	endif
endif

ifeq ($(SASSC_VERSION),)
	ifneq ($(wildcard VERSION),)
		SASSC_VERSION ?= $(shell $(CAT) VERSION)
	endif
endif

ifneq ($(SASSC_VERSION),)
	CFLAGS   += -DSASSC_VERSION="\"$(SASSC_VERSION)\""
	CXXFLAGS += -DSASSC_VERSION="\"$(SASSC_VERSION)\""
endif

# enable mandatory flag
ifeq (Windows,$(TARGET))
	ifneq ($(BUILD),shared)
		STATIC_ALL     ?= 1
	endif
	STATIC_LIBGCC    ?= 1
	STATIC_LIBSTDCPP ?= 1
	CXXFLAGS += -std=gnu++0x
	LDFLAGS  += -std=gnu++0x
else
	STATIC_ALL       ?= 0
	STATIC_LIBGCC    ?= 0
	STATIC_LIBSTDCPP ?= 0
	CXXFLAGS += -std=c++0x
	LDFLAGS  += -std=c++0x
endif

ifneq ($(SASS_LIBSASS_PATH),)
	CFLAGS   += -I $(SASS_LIBSASS_PATH)/include
	CXXFLAGS += -I $(SASS_LIBSASS_PATH)/include
	# only needed to support old source tree
	# we have moved the files to src folder
	CFLAGS   += -I $(SASS_LIBSASS_PATH)
	CXXFLAGS += -I $(SASS_LIBSASS_PATH)
else
	# this is needed for mingw
	CFLAGS   += -I include
	CXXFLAGS += -I include
endif

ifneq ($(EXTRA_CFLAGS),)
	CFLAGS   += $(EXTRA_CFLAGS)
endif
ifneq ($(EXTRA_CXXFLAGS),)
	CXXFLAGS += $(EXTRA_CXXFLAGS)
endif
ifneq ($(EXTRA_LDFLAGS),)
	LDFLAGS  += $(EXTRA_LDFLAGS)
endif

LDLIBS = -lm

ifneq ($(BUILD),shared)
	LDLIBS += -lstdc++
endif

# link statically into lib
# makes it a lot more portable
# increases size by about 50KB
ifeq ($(STATIC_ALL),1)
	LDFLAGS += -static
endif
ifeq ($(STATIC_LIBGCC),1)
	LDFLAGS += -static-libgcc
endif
ifeq ($(STATIC_LIBSTDCPP),1)
	LDFLAGS += -static-libstdc++
endif

ifeq ($(UNAME),Darwin)
	CFLAGS += -stdlib=libc++
	CXXFLAGS += -stdlib=libc++
	LDFLAGS += -stdlib=libc++
endif

ifneq (Windows,$(TARGET))
	ifneq (FreeBSD,$(UNAME))
		LDFLAGS += -ldl
		LDLIBS += -ldl
	endif
endif

ifneq ($(BUILD),shared)
	BUILD = static
endif

ifeq (,$(PREFIX))
	ifeq (,$(TRAVIS_BUILD_DIR))
		PREFIX = /usr/local
	else
		PREFIX = $(TRAVIS_BUILD_DIR)
	endif
endif

SOURCES = sassc.c

LIB_STATIC = $(SASS_LIBSASS_PATH)/lib/libsass.a
LIB_SHARED = $(SASS_LIBSASS_PATH)/lib/libsass.so

RESOURCES =
SASSC_EXE = bin/sassc
ifeq (Windows,$(TARGET))
	RESOURCES = libsass.res
	SASSC_EXE = bin/sassc.exe
	ifeq (shared,$(BUILD))
		CFLAGS     += -D ADD_EXPORTS
		CXXFLAGS   += -D ADD_EXPORTS
		LIB_SHARED  = $(SASS_LIBSASS_PATH)/lib/libsass.dll
	endif
else
	CFLAGS   += -fPIC
	CXXFLAGS += -fPIC
	LDFLAGS  += -fPIC
endif

OBJECTS = $(SOURCES:.c=.o)
SPEC_PATH = $(SASS_SPEC_PATH)
all: sassc

sassc: $(SASSC_EXE)

$(SASSC_EXE): libsass build-$(BUILD)

$(DESTDIR)$(PREFIX)/:
	$(MKDIR) $(DESTDIR)$(PREFIX)

$(DESTDIR)$(PREFIX)/bin/:
	$(MKDIR) $(DESTDIR)$(PREFIX)/bin

$(DESTDIR)$(PREFIX)/bin/%: bin/%
	$(INSTALL) -D -v -m0755 "$<" "$@"

install: $(DESTDIR)$(PREFIX)/$(SASSC_EXE)

build-static: $(RESOURCES) $(OBJECTS) $(LIB_STATIC)
	$(CC) $(LDFLAGS) -o $(SASSC_EXE) $^ $(LDLIBS)

build-shared: $(RESOURCES) $(OBJECTS) $(LIB_SHARED)
	$(CC) $(LDFLAGS) -o $(SASSC_EXE) $^ $(LDLIBS)
	$(CP) $(LIB_SHARED) bin/.

$(LIB_STATIC): libsass-static
$(LIB_SHARED): libsass-shared

libsass: libsass-$(BUILD)

libsass-static:
ifdef SASS_LIBSASS_PATH
	$(MAKE) BUILD="static" -C $(SASS_LIBSASS_PATH)
else
	$(error SASS_LIBSASS_PATH must be defined)
endif

libsass-shared:
ifdef SASS_LIBSASS_PATH
	$(MAKE) BUILD="shared" -C $(SASS_LIBSASS_PATH)
else
	$(error SASS_LIBSASS_PATH must be defined)
endif

%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $<

test: all
	$(MAKE) -C $(SASS_LIBSASS_PATH) version

libsass.res:
	$(WINDRES) res/libsass.rc -O coff libsass.res

specs: all
ifdef SASS_LIBSASS_PATH
	$(MAKE) -C $(SASS_LIBSASS_PATH) test_build
else
	$(error SASS_LIBSASS_PATH must be defined)
endif

clean:
	rm -f $(OBJECTS) $(SASSC_EXE) \
	      bin/*.so bin/*.dll libsass.res
ifdef SASS_LIBSASS_PATH
	$(MAKE) -C $(SASS_LIBSASS_PATH) clean
endif

.PHONY: test specs clean sassc \
        all build-static build-shared \
        libsass libsass-static libsass-shared
.DELETE_ON_ERROR:

=== debian/changelog ===
sassc (3.3.2-3) unstable; urgency=medium

  * Really fix embed version.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 06 Mar 2016 19:12:08 +0100

sassc (3.3.2-2) unstable; urgency=medium

  * Fix embed version.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 06 Mar 2016 19:04:30 +0100

sassc (3.3.2-1) unstable; urgency=low

  * Initial release.
    Closes: bug#694733.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 06 Mar 2016 17:38:18 +0100

=== debian/control ===
Source: sassc
Section: web
Priority: optional
Build-Depends: cdbs (>= 0.4.123~),
 devscripts,
 libtool,
 automake,
 autoconf,
 debhelper,
 dh-buildinfo,
 libsass-dev,
 help2man
Maintainer: Debian Sass team <pkg-sass-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 3.9.7
Homepage: https://github.com/sass/sassc
Vcs-Git: https://anonscm.debian.org/git/pkg-sass/sassc.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-sass/sassc.git

Package: sassc
Section: web
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: C/C++ port of the Sass CSS precompiler - command-line tool
 SassC is a C/C++ port of the Sass engine. The point is to be simple,
 fast, and easy to integrate.
 .
 Sass is a pre-processing language for CSS. It allows you to write
 cleaner stylesheets and makes collaboration on your CSS a breeze.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2015 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for sassc
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

DEB_AUTO_UPDATE_LIBTOOL = pre
DEB_AUTO_UPDATE_ACLOCAL = ,
DEB_AUTO_UPDATE_AUTOCONF = ,
DEB_AUTO_UPDATE_AUTOMAKE = ,
DEB_AUTO_UPDATE_AUTOHEADER = ,
include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk

pkg = $(DEB_SOURCE_PACKAGE)

DEB_UPSTREAM_URL = https://github.com/sass/sassc/archive
DEB_UPSTREAM_TARBALL_BASENAME = $(DEB_UPSTREAM_TARBALL_VERSION)

# Build-depend unversioned on debhelper
#  TODO: Drop when adopted in cdbs
CDBS_BUILD_DEPENDS_rules_debhelper_v9 = debhelper

CDBS_BUILD_DEPENDS +=, libsass-dev

# put aside upstream-shipped non-autotools Makefile during build
DEB_UPSTREAM_CRUFT_MOVE = Makefile sassc_version.h

# create autotools files from scratch during build
auxdir = script
macrodir = m4
makefiledirs = .
files_autotools_core = $(auxdir)/config.guess $(auxdir)/config.sub
stems_m4_libtool = libtool ltoptions ltsugar ltversion lt~obsolete
files_libtool = $(auxdir)/ltmain.sh $(stems_m4_libtool:%=$(macrodir)/%.m4)
stems_aux_autoconf = compile install-sh missing ar-lib
files_autoconf = aclocal.m4 configure $(stems_aux_autoconf:%=$(auxdir)/%)
files_automake = $(auxdir)/depcomp $(makefiledirs:=/Makefile.in)
#files_automake += $(auxdir)/test-driver
files_autoheader = config.h.in
files_configure = config.log
files_autotools = $(files_autotools_core) $(files_libtool)
files_autotools += $(files_aclocal) $(files_autoconf) $(files_automake)
files_autotools += $(files_autoheader) $(files_configure)
DEB_ACLOCAL_ARGS = -Im4 --install --force
DEB_AUTOMAKE_ARGS = --add-missing --copy --foreign --force
DEB_MAKE_CLEAN_TARGET = distclean
makefile-clean::
#	rm -rf autom4te.cache
	rm -f $(filter-out $(DEB_UPSTREAM_CRUFT_MOVE),$(files_autotools))
clean::
	rm -f $(filter-out $(DEB_UPSTREAM_CRUFT_MOVE),$(files_autotools_core))
	test ! -d $(auxdir) || rmdir --ignore-fail-on-non-empty $(auxdir)

# generate manpages based on --help of script itself
manpages = $(patsubst %,debian/%.1,sassc)
CDBS_BUILD_DEPENDS +=, help2man
DEB_INSTALL_MANPAGES_$(pkg) = $(manpages)
common-build-arch:: $(manpages)
$(manpages): debian/%.1 : % build/$(pkg)
	help2man \
		--name "Sass compiles CSS from SASS or SCSS files" \
		--no-info --output=$@ ./$< \
		|| { ./$< --help; false; }
makefile-clean::
	rm -f $(manpages)

pre-build:: debian/stamp-set-version
debian/stamp-set-version: debian/stamp-upstream-cruft
	echo $(DEB_UPSTREAM_VERSION) > VERSION
	touch $@
makefile-clean::
	rm -f VERSION debian/stamp-set-version

=== debian/watch ===
version=4
https://github.com/sass/libsass/tags .*/archive/v?(\d[\d\.]+).tar.gz

## sassc 3.4.2

=== debian/changelog ===
sassc (3.4.2-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Modernize Vcs-Browse field: Use git subdir.
  * Stop override lintian for
    package-needs-versioned-debhelper-build-depends: Fixed in lintian.
  * Update copyright info: Extend coverage of Debian packaging.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 22 Jan 2017 12:49:05 +0100

sassc (3.4.0-2) unstable; urgency=medium

  * Fix tighten to build-depend versioned on libsass-dev.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 14 Dec 2016 01:13:23 +0100

sassc (3.4.0-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update copyright info: Update names and coverage of main authors.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 11 Dec 2016 13:19:54 +0100

sassc (3.3.6-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Update watch file:
    + Fix URL (bogusly tracked libsass project).
    + Use github pattern.
    + Add usage comment.
  * Update copyright info:
    + Fix coverage of packaging to include recent years.
  * Declare compliance with Debian Policy 3.9.8.
  * Update git-buildpackage config: Filter any .git* file.
  * Suppress copyright checking of ico file.
  * Update package relations:
    + Tighten build-dependency on cdbs.
    + Build-depend on licensecheck (not devscripts).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 09 Sep 2016 09:42:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: sassc
 Section: web
 Priority: optional
-Build-Depends: cdbs (>= 0.4.123~),
- devscripts,
+Build-Depends: cdbs (>= 0.4.131~),
+ licensecheck,
  libtool,
  automake,
  autoconf,
  debhelper,
  dh-buildinfo,
- libsass-dev,
+ libsass-dev (>= 3.4.0),
  help2man
 Maintainer: Debian Sass team <pkg-sass-devel@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://github.com/sass/sassc
 Vcs-Git: https://anonscm.debian.org/git/pkg-sass/sassc.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-sass/sassc.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-sass/sassc.git
 
 Package: sassc
 Section: web

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2015 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2015-2017 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for sassc
 #
 # This program is free software; you can redistribute it and/or modify
@@ -31,14 +31,12 @@
 DEB_UPSTREAM_URL = https://github.com/sass/sassc/archive
 DEB_UPSTREAM_TARBALL_BASENAME = $(DEB_UPSTREAM_TARBALL_VERSION)
 
-# Build-depend unversioned on debhelper
-#  TODO: Drop when adopted in cdbs
-CDBS_BUILD_DEPENDS_rules_debhelper_v9 = debhelper
-
-CDBS_BUILD_DEPENDS +=, libsass-dev
+CDBS_BUILD_DEPENDS +=, libsass-dev (>= 3.4.0)
 
 # put aside upstream-shipped non-autotools Makefile during build
 DEB_UPSTREAM_CRUFT_MOVE = Makefile sassc_version.h
+
+DEB_COPYRIGHT_CHECK_IGNORE_EXTS = ico
 
 # create autotools files from scratch during build
 auxdir = script

=== debian/watch ===
# run "uscan --report" to check or "gpb import-orig --uscan" to update
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
 https://github.com/sass/sassc/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian

## sassc 3.4.5

=== debian/changelog ===
sassc (3.4.5-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Simplify rules:
    + Stop resolve build-dependencies in rules file.
    + Do copyright-check in maintainer script (not during build).
      Stop build-depend on licensecheck.
      Relax to build-depend unversioned on cdbs.
    + Drop get-orig-source target: Use gbp import-orig --uscan.
  * Declare compliance with Debian Policy 4.1.1.
  * Tighten lintian overrides regarding License-Reference.
  * Update copyright info: Use https protocol in file format URL.
  * Update watch file: Use substitution strings.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 28 Oct 2017 20:48:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: sassc
 Section: web
 Priority: optional
-Build-Depends: cdbs (>= 0.4.131~),
- licensecheck,
+Build-Depends: cdbs,
  libtool,
  automake,
  autoconf,
@@ -12,7 +11,7 @@
  help2man
 Maintainer: Debian Sass team <pkg-sass-devel@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: https://github.com/sass/sassc
 Vcs-Git: https://anonscm.debian.org/git/pkg-sass/sassc.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-sass/sassc.git

=== debian/rules ===
--- 
+++ 
@@ -21,22 +21,14 @@
 DEB_AUTO_UPDATE_AUTOCONF = ,
 DEB_AUTO_UPDATE_AUTOMAKE = ,
 DEB_AUTO_UPDATE_AUTOHEADER = ,
-include /usr/share/cdbs/1/rules/upstream-tarball.mk
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 
 pkg = $(DEB_SOURCE_PACKAGE)
 
-DEB_UPSTREAM_URL = https://github.com/sass/sassc/archive
-DEB_UPSTREAM_TARBALL_BASENAME = $(DEB_UPSTREAM_TARBALL_VERSION)
-
-CDBS_BUILD_DEPENDS +=, libsass-dev (>= 3.4.0)
-
 # put aside upstream-shipped non-autotools Makefile during build
 DEB_UPSTREAM_CRUFT_MOVE = Makefile sassc_version.h
-
-DEB_COPYRIGHT_CHECK_IGNORE_EXTS = ico
 
 # create autotools files from scratch during build
 auxdir = script
@@ -66,7 +58,6 @@
 
 # generate manpages based on --help of script itself
 manpages = $(patsubst %,debian/%.1,sassc)
-CDBS_BUILD_DEPENDS +=, help2man
 DEB_INSTALL_MANPAGES_$(pkg) = $(manpages)
 common-build-arch:: $(manpages)
 $(manpages): debian/%.1 : % build/$(pkg)

=== debian/watch ===
# run "uscan --report" to check or "gpb import-orig --uscan" to update
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
 https://github.com/sass/sassc/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## sassc 3.5.0

=== debian/changelog ===
sassc (3.5.0-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    Closes: Bug#888111. Thanks to George B.

  [ Anthony Fok ]
  * Update watch file: Fix typo in watch file usage comment.
  * Bump libsass-dev build dependency to >= 3.5.0.
  * Declare compliance with Debian Policy 4.1.4.
  * Point Vcs-* URLs to salsa.debian.org.
  * Add myself to the list of Uploaders.
  * Update copyright info:
    + Drop needless copyright signs.
    + Extend coverage for Debian packaging.
  * Copy unusually named Makefile.am to help CDBS notice it.

 -- Anthony Fok <foka@debian.org>  Thu, 05 Jul 2018 01:13:16 -0600

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,15 @@
  autoconf,
  debhelper,
  dh-buildinfo,
- libsass-dev (>= 3.4.0),
+ libsass-dev (>= 3.5.0),
  help2man
 Maintainer: Debian Sass team <pkg-sass-devel@lists.alioth.debian.org>
-Uploaders: Jonas Smedegaard <dr@jones.dk>
-Standards-Version: 4.1.1
+Uploaders: Jonas Smedegaard <dr@jones.dk>,
+ Anthony Fok <foka@debian.org>
+Standards-Version: 4.1.4
 Homepage: https://github.com/sass/sassc
-Vcs-Git: https://anonscm.debian.org/git/pkg-sass/sassc.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-sass/sassc.git
+Vcs-Git: https://salsa.debian.org/sass-team/sassc.git
+Vcs-Browser: https://salsa.debian.org/sass-team/sassc
 
 Package: sassc
 Section: web

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2015-2017 Jonas Smedegaard <dr@jones.dk>
+# Copyright 2015-2018 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for sassc
 #
 # This program is free software; you can redistribute it and/or modify
@@ -74,3 +74,10 @@
 	touch $@
 makefile-clean::
 	rm -f VERSION debian/stamp-set-version
+
+# copy unusually name Makefile.am to help CDBS notice it
+debian/stamp-autotools-files: Makefile.am
+Makefile.am:
+	cp -f GNUmakefile.am Makefile.am
+clean::
+	rm -f Makefile.am

## sassc 3.6.1

=== debian/changelog ===
sassc (3.6.1-4) unstable; urgency=medium

  * watch: fix source URL
  * simplify source script copyright-chceck
  * copyright: update coverage
  * declare buildsystem explicitly (not in environment)
  * use debhelper compatibility level 13 (not 12)

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 27 Aug 2020 23:31:56 +0200

sassc (3.6.1-3) unstable; urgency=medium

  * add patch cherry-picked upstream
    to support environment variable SASS_PATH
  * watch:
    + shorten regexes
    + rewrite usage comment
  * simplify rules;
    use debhelper compatibility level 12 (not 9);
    build-depend on debhelper-compat
    (not debhelper autoconf automake cdbs dh-autoreconf libtool)
  * set Rules-Requires-Root: no
  * copyright: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 09 Jun 2020 18:38:05 +0200

sassc (3.6.1-2) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.5.0.
  * Tighten both build-dependency on libsass-dev and
    dependency on libsass1 to (>= 3.6.1).
  * Upload to Debian unstable.

 -- Anthony Fok <foka@debian.org>  Fri, 28 Feb 2020 09:21:46 -0700

sassc (3.6.1-1) experimental; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Simplify build: Stop build-depend on dh-buildinfo.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 05 Jul 2019 10:34:35 -0300

=== debian/control ===
Source: sassc
Section: web
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 help2man,
 libsass-dev (>= 3.6.1),
Maintainer: Debian Sass team <pkg-sass-devel@lists.alioth.debian.org>
Uploaders:
 Jonas Smedegaard <dr@jones.dk>,
 Anthony Fok <foka@debian.org>,
Standards-Version: 4.5.0
Homepage: https://github.com/sass/sassc
Vcs-Git: https://salsa.debian.org/sass-team/sassc.git
Vcs-Browser: https://salsa.debian.org/sass-team/sassc
Rules-Requires-Root: no

Package: sassc
Section: web
Architecture: any
Depends:
 libsass1 (>= 3.6.1),
 ${misc:Depends},
 ${shlibs:Depends},
Description: C/C++ port of the Sass CSS precompiler - command-line tool
 SassC is a C/C++ port of the Sass engine. The point is to be simple,
 fast, and easy to integrate.
 .
 Sass is a pre-processing language for CSS. It allows you to write
 cleaner stylesheets and makes collaboration on your CSS a breeze.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

# generate manpage based on --help option of executable
_mkman = help2man $(if $3,--name "$(strip $3)") --no-info --output $2 $1 \
 || { $1 --help; false; }

execute_before_dh_auto_build:
	echo $(DEB_VERSION_UPSTREAM) > VERSION

execute_after_dh_auto_build:
	$(call _mkman,build/sassc,debian/sassc.1, \
		Sass compiles CSS from SASS or SCSS files)

%:
	dh $@ --builddirectory=build

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/,\
dversionmangle=auto \
https://github.com/sass/sassc/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@

## sassc 3.6.1%2B20201027

=== debian/changelog ===
sassc (3.6.1+20201027-2+rb1) unstable; urgency=medium

  * Rebuild

 -- Han Gao <gaohan@iscas.ac.cn>  Mon, 10 Jul 2023 19:31:18 +0800

sassc (3.6.1+20201027-2) unstable; urgency=medium

  * mark sassc Multi-Arch: foreign;
    closes: bug#993943, thanks to Helmut Grohne
  * declare compliance with Debian Policy 4.6.0
  * update copyright info:
    + improve source script copyright-check
    + update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 11 Sep 2021 00:23:54 +0200

sassc (3.6.1+20201027-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot
    + add support for SASS_PATH env variable

  [ Jonas Smedegaard ]
  * update watch file to track git commits
    (not releases: development has stagnated)
  * copyright: update coverage
  * declare compliance with Debian Policy 4.5.1
  * drop patch cherry-picked upstream now applied

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 06 Jan 2021 19:18:08 +0100

## sassc 3.6.1+20201027

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
-CC       ?= gcc
-CXX      ?= g++
+CC       ?= cc
+CXX      ?= c++
 RM       ?= rm -f
 CP       ?= cp -a
 CHDIR    ?= chdir
@@ -25,24 +25,18 @@
 ifneq (,$(findstring /cygdrive/,$(PATH)))
 	UNAME := Cygwin
 	TARGET := Windows
-else
-	ifneq (,$(findstring Windows,$(PATH)))
-		UNAME := Windows
-		TARGET := Windows
-	else
-		ifneq (,$(findstring mingw32,$(MAKE)))
-			UNAME := MinGW
-			TARGET := Windows
-		else
-			ifneq (,$(findstring MINGW32,$(shell uname -s)))
-				UNAME = MinGW
-				TARGET := Windows
-			else
-				UNAME := $(shell uname -s)
-				TARGET := $(shell uname -s)
-			endif
-		endif
-	endif
+else ifneq (,$(findstring Windows_NT,$(OS)))
+	UNAME := Windows
+	TARGET := Windows
+else ifneq (,$(findstring mingw32,$(MAKE)))
+	UNAME := MinGW
+	TARGET := Windows
+else ifneq (,$(findstring MINGW32,$(shell uname -s)))
+	UNAME := MinGW
+	TARGET := Windows
+else
+	UNAME := $(shell uname -s)
+	TARGET := $(shell uname -s)
 endif
 
 ifeq ($(SASS_SASSC_PATH),)
@@ -76,14 +70,14 @@
 	endif
 	STATIC_LIBGCC    ?= 1
 	STATIC_LIBSTDCPP ?= 1
-	CXXFLAGS += -std=gnu++0x
-	LDFLAGS  += -std=gnu++0x
+	CXXFLAGS += -std=c++11
+	LDFLAGS  += -std=c++11
 else
 	STATIC_ALL       ?= 0
 	STATIC_LIBGCC    ?= 0
 	STATIC_LIBSTDCPP ?= 0
-	CXXFLAGS += -std=c++0x
-	LDFLAGS  += -std=c++0x
+	CXXFLAGS += -std=c++11
+	LDFLAGS  += -std=c++11
 endif
 
 ifneq ($(SASS_LIBSASS_PATH),)
@@ -136,8 +130,10 @@
 
 ifneq (Windows,$(TARGET))
 	ifneq (FreeBSD,$(UNAME))
-		LDFLAGS += -ldl
-		LDLIBS += -ldl
+    ifneq (OpenBSD,$(UNAME))
+			LDFLAGS += -ldl
+			LDLIBS += -ldl
+		endif
 	endif
 endif
 
@@ -160,6 +156,10 @@
 
 RESOURCES =
 SASSC_EXE = bin/sassc
+ifeq ($(UNAME),Darwin)
+	SHAREDLIB = lib/libsass.dylib
+	LIB_SHARED = $(SASS_LIBSASS_PATH)/lib/libsass.dylib
+endif
 ifeq (Windows,$(TARGET))
 	RESOURCES = libsass.res
 	SASSC_EXE = bin/sassc.exe
@@ -178,9 +178,20 @@
 SPEC_PATH = $(SASS_SPEC_PATH)
 all: sassc
 
+%.o: %.c
+	$(CC) $(CFLAGS) -c -o $@ $<
+
+%.o: %.rc
+	$(WINDRES) -i $< -o $@
+
+%.o: %.cpp
+	$(CXX) $(CXXFLAGS) -c -o $@ $<
+
 sassc: $(SASSC_EXE)
-
-$(SASSC_EXE): libsass build-$(BUILD)
+build: build-$(BUILD)
+libsass: libsass-$(BUILD)
+
+$(SASSC_EXE): libsass build
 
 $(DESTDIR)$(PREFIX)/:
 	$(MKDIR) $(DESTDIR)$(PREFIX)
@@ -191,20 +202,21 @@
 $(DESTDIR)$(PREFIX)/bin/%: bin/%
 	$(INSTALL) -D -v -m0755 "$<" "$@"
 
-install: $(DESTDIR)$(PREFIX)/$(SASSC_EXE)
+install: libsass-install-$(BUILD) \
+	$(DESTDIR)$(PREFIX)/$(SASSC_EXE)
 
 build-static: $(RESOURCES) $(OBJECTS) $(LIB_STATIC)
 	$(CC) $(LDFLAGS) -o $(SASSC_EXE) $^ $(LDLIBS)
 
 build-shared: $(RESOURCES) $(OBJECTS) $(LIB_SHARED)
-	$(CC) $(LDFLAGS) -o $(SASSC_EXE) $^ $(LDLIBS)
-	$(CP) $(LIB_SHARED) bin/.
+	$(CC) $(LDFLAGS) -o $(SASSC_EXE) $(RESOURCES) $(OBJECTS) \
+		-Wl,-rpath,$(DESTDIR)$(PREFIX)/lib \
+		-Wl,-rpath,$(SASS_LIBSASS_PATH)/lib \
+		$(LDLIBS) -L$(SASS_LIBSASS_PATH)/lib -lsass
 
 $(LIB_STATIC): libsass-static
 $(LIB_SHARED): libsass-shared
 
-libsass: libsass-$(BUILD)
-
 libsass-static:
 ifdef SASS_LIBSASS_PATH
 	$(MAKE) BUILD="static" -C $(SASS_LIBSASS_PATH)
@@ -219,8 +231,21 @@
 	$(error SASS_LIBSASS_PATH must be defined)
 endif
 
-%.o: %.c
-	$(CC) $(CFLAGS) -c -o $@ $<
+# nothing to do for static
+libsass-install-static: libsass-static
+ifdef SASS_LIBSASS_PATH
+	$(MAKE) BUILD="static" -C $(SASS_LIBSASS_PATH) install
+else
+	$(error SASS_LIBSASS_PATH must be defined)
+endif
+
+# install shared library
+libsass-install-shared: libsass-shared
+ifdef SASS_LIBSASS_PATH
+	$(MAKE) BUILD="shared" -C $(SASS_LIBSASS_PATH) install
+else
+	$(error SASS_LIBSASS_PATH must be defined)
+endif
 
 test: all
 	$(MAKE) -C $(SASS_LIBSASS_PATH) version
@@ -237,7 +262,7 @@
 
 clean:
 	rm -f $(OBJECTS) $(SASSC_EXE) \
-	      bin/*.so bin/*.dll libsass.res
+	      bin/*.so bin/*.dll bin/*.dylib libsass.res
 ifdef SASS_LIBSASS_PATH
 	$(MAKE) -C $(SASS_LIBSASS_PATH) clean
 endif

=== debian/control ===
Source: sassc
Section: web
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 help2man,
 libsass-dev (>= 3.6.1),
Maintainer: Debian Sass team <pkg-sass-devel@lists.alioth.debian.org>
Uploaders:
 Jonas Smedegaard <dr@jones.dk>,
 Anthony Fok <foka@debian.org>,
Standards-Version: 4.6.0
Homepage: https://github.com/sass/sassc
Vcs-Git: https://salsa.debian.org/sass-team/sassc.git
Vcs-Browser: https://salsa.debian.org/sass-team/sassc
Rules-Requires-Root: no

Package: sassc
Section: web
Architecture: any
Multi-Arch: foreign
Depends:
 libsass1 (>= 3.6.1),
 ${misc:Depends},
 ${shlibs:Depends},
Description: C/C++ port of the Sass CSS precompiler - command-line tool
 SassC is a C/C++ port of the Sass engine.
 The point is to be simple, fast, and easy to integrate.
 .
 Sass is a pre-processing language for CSS.
 It allows you to write cleaner stylesheets
 and makes collaboration on your CSS a breeze.

=== debian/rules ===
--- 
+++ 
@@ -6,12 +6,12 @@
 _mkman = help2man $(if $3,--name "$(strip $3)") --no-info --output $2 $1 \
  || { $1 --help; false; }
 
+%:
+	dh $@ --builddirectory=build
+
 execute_before_dh_auto_build:
 	echo $(DEB_VERSION_UPSTREAM) > VERSION
 
 execute_after_dh_auto_build:
 	$(call _mkman,build/sassc,debian/sassc.1, \
 		Sass compiles CSS from SASS or SCSS files)
-
-%:
-	dh $@ --builddirectory=build

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
mode=git,pgpmode=none,pretty=3.6.1+%cd \
https://github.com/sass/sassc HEAD
